import Request from '../common/request.js';
let request = new Request().http
 

 export function wxLogin(data) {
 	 return request('/app/wx/login',data,'POST','application/json;charset=UTF-8');
 }
 export function loginByMiniApp(data) {
 	 return request('/app/wx/loginByMiniApp',data,'POST','application/json;charset=UTF-8');
 }
 
 
 export function getUserInfo() {
 	 return request('/app/user/getUserInfo',null,'GET');
 }
 
 
 
 export function checkLogin() {
 	 return request('/app/user/checkLogin',null,'GET');
 }
 
 export function editUser(data) {
 	return request('/app/user/editUser',data,'POST','application/json;charset=UTF-8');
 }
 
 export function registerDoctor(data) {
 	return request('/app/user/registerDoctor',data,'POST','application/json;charset=UTF-8');
 }
 
 
 export function getMyCouponList(data) {
 	 return request('/app/user/getMyCouponList',data,'GET');
 }
 
 export function getMyEnableCouponList(data) {
 	 return request('/app/user/getMyEnableCouponList',data,'GET');
 }
 
 
  // 健康管家二维码
  export function getAppContactWay(userId) {
  	 return request('/app/user/getAppContactWay/'+userId,null,'GET');
  }
 // 投诉模板
 export function templateList() {
 	 return request('/app/complaint/treeList',null,'GET');
 } 
 // 投诉
 export function complaint(data) {
 	return request('/app/complaint',data,'POST','application/json;charset=UTF-8');
 }
 // 商城咨询投诉
 export function storeComplaint(data) {
 	return request('/store/app/user/complaint',data,'POST','application/json;charset=UTF-8');
 }
 export function storeComplaintList(data) {
 	return request('/store/app/user/complaint/list',null,'GET');
 }
 export function storeComplaintDetail(id) {
 	return request('/store/app/user/complaint/'+id,null,'GET');
 }
 export function storeComplaintMsg(data) {
 	return request('/store/app/user/complaint/msg/list',data,'GET');
 }
 export function storeComplaintMsgAdd(data) {
 	return request('/store/app/user/complaint/msgAdd',data,'POST','application/json;charset=UTF-8');
 }